Bug 997757 - No way to add allowed_gear_size for a domain via admin tools
No way to add allowed_gear_size for a domain via admin tools
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 03:26 EDT by Qiushui Zhang
Modified: 2015-05-14 20:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:28:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qiushui Zhang 2013-08-16 03:26:36 EDT
Description of problem:
Currently, when adding gear size for a user accunt with "oo-admin-ctl-user", the gear size is added to the account, but the domain of the account still does not have the gear size

Version-Release number of selected component (if applicable):
devenv_3660

How reproducible:
always

Steps to Reproduce:
1. On instance, oo-admin-ctl-user -l qiuzhang1@redhat.com --addgearsize medium
2. If trying to create medium gear with the account, I'll get a failure, saying "Invalid size: medium. Acceptable values are: small"
3. 

Actual results:
Gear size medium is added to the account, but it is not updated for the domain.

Expected results:
We can have two solutions:
1. When adding gear size with "oo-admin-ctl-user", user's domain is updated accordingly. Or we may give an option so that we can choose whether to update domain status.

2. Add an option for "oo-admin-ctl-domain" to update user domain allowed gear sizes.

Additional info:
Comment 1 Clayton Coleman 2013-09-25 16:20:34 EDT
Fixed
Comment 2 Qiushui Zhang 2013-09-25 22:12:12 EDT
Test on devenv 3826.

Now, we can still use the command as before, like "oo-admin-ctl-user -l qiuzhang@redhat.com --addgearsize medium". After adding gear size, e.g. "medium", the corresponding gear size is activated immediately.



Mark the bug as verified.

Note You need to log in before you can comment on or make changes to this bug.